#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/src2pkg/src2pkg.conf.new
config etc/src2pkg/DONT_PURGE.locales.new

# check to make sure we have been setup. If not run setup if the user is root
# otherwise warn the user
if [ -f /var/log/packages/src2pkg-helpers* ] ; then
	INSTALLED_HELPERS_VERSION=$(ls /var/log/packages/src2pkg-helpers* |cut -f3 -d'-')
fi
if [ -f /usr/src/src2pkg/src2kg-helpers/src2pkg-helpers.src2pkg ] ; then
	CURRENT_HELPERS_VERSION=$(grep '^VERSION=' /usr/src/src2pkg/src2pkg-helpers/src2pkg-helpers.src2pkg ut -f 2 -d'=')
fi

if ! [ $(ls var/log/packages |grep src2pkg |grep upgraded) ] ; then
	#if ! [ -x usr/libexec/src2pkg/bin/tar-1.13 ] ; then
	if [ ! -x $SRC2PKG_LIBDIR/lib/libsentry.so ] || [ $INSTALLED_HELPERS_VERSION != $CURRENT_HELPERS_VERSION ] ; then
	   if [[ $INSTALLED_HELPERS_VERSION != $CURRENT_HELPERS_VERSION ]] ; then
		echo $CYAN"NOTICE - "$NORMAL"Your installed version of src2pkg-helpers"
		echo "src2pkg-helpers needs to be updated. An installed version was "
		echo "found which doesn't match the current version. To upgrade,"
		echo "you need to run the command 'src2pkg --setup' as user 'root'."
	   else
		echo ""
		echo "  src2pkg uses a small shared library called libsentry"
		echo "  and specific versions of tar and other programs to create"
		echo "  packages. This 'noarch' package does not include these"
		echo "  in pre-compiled form. Instead they are compiled on your"
		echo "  system to assure compatibility no matter which OS or"
		echo "  version you are running. To compile them you need"
		echo "  to run the command 'src2pkg --setup' as user 'root'."
		echo ""
	   fi
		echo "Press the ENTER key to dismiss this message."
		read JUNK
	fi
else
 true
fi